## b43-asm 0~20080619-0%2Bc1.aptosid.9trisquel1

=== debian/changelog ===
b43-asm (0~20080619-0+c1.aptosid.9trisquel1) unstable; urgency=low

  * Removed sourceless sample firmware files
  * Downgraded debhelper version, lowered compat level to 7

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 02 Sep 2010 13:33:09 +0200

b43-asm (0~20080619-0+c1.aptosid.9) unstable; urgency=low

  * rebuild and switch to aptosid versioning.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 02 Sep 2010 13:33:09 +0200

b43-asm (0~20080619-0+c0.sidux.8) unstable; urgency=low

  * fix git:// upstream URL to the new address.
  * update copyright years.
  * update machine-readable debian/copyright to DEP: 5, rev=135
  * switch to compat level 8.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 08 Aug 2010 03:25:33 +0200

b43-asm (0~20080619-0+c0.sidux.7) unstable; urgency=low

  * bump standards version to 3.9.1, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 03 Aug 2010 15:37:57 +0200

b43-asm (0~20080619-0+c0.sidux.6) unstable; urgency=low

  * switch to dpkg-source 3.0 (quilt) format.
  * bump standards version to 3.9.0, no changes necessary.
  * update copyright years.
  * fold build-/ dependencies in debian/control.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 22 Jul 2010 01:00:29 +0200

b43-asm (0~20080619-0+c0.sidux.5) unstable; urgency=low

  * remove boilerplate comments from debian/rules.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 01 Feb 2009 04:16:45 +0100

b43-asm (0~20080619-0+c0.sidux.4) unstable; urgency=low

  * add Vcs-Svn/ Vcs-Browser locations.
  * use machine-interpretable for debian/copyright, and ammend all copyright
    holders of include/linux/list.h until kernel 2.6.0-test1 by using the
    historical git trees for information.
  * enhance long description.
  * add rough manpage templates for now.
  * install docs/ examples, to give an overview over the assembler syntax.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 30 Jan 2009 01:09:03 +0100

b43-asm (0~20080619-0+c0.sidux.3) unstable; urgency=low

  * fix CFLAGS for b43-asm/ b43-dasm.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 24 Jan 2009 02:53:26 +0100

b43-asm (0~20080619-0+c0.sidux.2) unstable; urgency=low

  * add testsuite target "selftest" and run it during the build.
  * add gcc to dependencies.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 24 Jan 2009 01:19:59 +0100

b43-asm (0~20080619-0+c0.sidux.1) unstable; urgency=low

  * Initial release (Closes: #513973).

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 23 Jan 2009 21:37:05 +0100

## b43-asm 0~20080619-0+c1.aptosid.9trisquel1

=== assembler/Makefile ===
CC		= gcc
LEX		= flex
YACC		= bison

PREFIX		?= /usr/local

CFLAGS		?= -O2 -fomit-frame-pointer -D_BSD_SOURCE -D_GNU_SOURCE
CFLAGS		+= -std=c99 -Wall -D_BSD_SOURCE -D_GNU_SOURCE
LDFLAGS		+= -lfl

BIN		= b43-asm.bin
OBJECTS		= parser.o scanner.o main.o initvals.o util.o args.o

# YACC related CFLAGS
CFLAGS		+= -DYYSTYPE="void *" -DYYERROR_VERBOSE -DYYDEBUG -Wno-unused

all: $(BIN)

scanner.c: scanner.l parser.c main.h
	$(LEX) -o scanner.c --header-file=scanner.h scanner.l

scanner.o: scanner.c
	$(CC) $(CFLAGS) -c -o scanner.o scanner.c

parser.c: parser.y main.h util.h
	$(YACC) --defines -o parser.c parser.y

parser.o: parser.c
	$(CC) $(CFLAGS) -c -o parser.o parser.c

main.o: parser.c main.h list.h util.h args.h initvals.h

initvals.o: initvals.h main.h list.h util.h args.h

util.o: util.h

args.o: args.h main.h util.h

$(BIN): $(OBJECTS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJECTS) $(LDFLAGS)

install: all
	-install -o 0 -g 0 -m 755 $(BIN) $(PREFIX)/bin/
	-cp b43-asm b43-asm.inst
	-sed -i -e 's/installed=0/installed=1/' b43-asm.inst
	-install -o 0 -g 0 -m 755 b43-asm.inst $(PREFIX)/bin/b43-asm
	-rm -f b43-asm.inst

clean:
	-rm -f *~ *.o *.orig *.rej scanner.c scanner.h parser.c parser.h

distclean: clean
	-rm -f $(BIN)

=== disassembler/Makefile ===
CC		?= gcc

PREFIX		?= /usr/local

CFLAGS		?= -O2 -fomit-frame-pointer
CFLAGS		+= -std=gnu99 -Wall -D_BSD_SOURCE -D_GNU_SOURCE
LDFLAGS		?=

BIN = b43-dasm
OBJECTS = main.o util.o args.o

all: $(BIN)

main.o: main.h util.h list.h args.h

util.o: util.h

args.o: args.h main.h util.h

$(BIN): $(OBJECTS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJECTS) $(LDFLAGS)

install: all
	-install -o 0 -g 0 -m 755 $(BIN) $(PREFIX)/bin/
	-install -o 0 -g 0 -m 755 b43-ivaldump $(PREFIX)/bin/

clean:
	-rm -f *~ *.o *.orig *.rej

distclean: clean
	-rm -f $(BIN)

=== debian/control ===
Source: b43-asm
Section: devel
Priority: extra
Maintainer: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Build-Depends: debhelper,
 bison,
 flex
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.berlios.de/fullstory/b43-asm/trunk
Vcs-Browser: http://svn.berlios.de/wsvn/fullstory/b43-asm/trunk

Package: b43-asm
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 gcc,
 python
Description: assembler and disassembler for Broadcom BCM43xx firmware
 b43-asm is an (dis-)assembler for Broadcom AirForce BCM43xx wireless lan
 chipsets with a core revision >= 5.
 .
 It is capable of compiling and disassembling the opensource 'OpenFWWF'
 firmware used by Linux' b43 driver.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir
	
	@echo "CFLAGS=$(CFLAGS)"
	$(MAKE) -C assembler CFLAGS="$(CFLAGS) -fomit-frame-pointer -std=c99 -Wall -D_BSD_SOURCE -D_GNU_SOURCE -DYYSTYPE='void *' -DYYERROR_VERBOSE -DYYDEBUG -Wno-unused"
	$(MAKE) -C disassembler CFLAGS="$(CFLAGS) -fomit-frame-pointer -std=gnu99 -Wall -D_BSD_SOURCE -D_GNU_SOURCE"
	
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp selftest test.fw
	
	$(MAKE) -C assembler distclean
	$(MAKE) -C disassembler distclean
	
	dh_clean

install: build selftest
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	$(MAKE) -C assembler PREFIX=$(CURDIR)/debian/b43-asm/usr install
	$(MAKE) -C disassembler PREFIX=$(CURDIR)/debian/b43-asm/usr install

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	#dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

selftest:
	PATH=$(CURDIR)/assembler:$(PATH) b43-asm assembler/test.asm test.fw --cpp-args -DDEBUG=1 -- --ivalext .fw --psize
	PATH=$(CURDIR)/assembler:$(CURDIR)/disassembler:$(PATH) $(CURDIR)/assembler/selftest.sh test.fw
	
	touch $@

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## b43-asm 0~20130228.1231

=== debian/changelog ===
b43-asm (0~20130228.1231-8) unstable; urgency=medium

  * switch to python3.
  * explicitly add libfl-dev to build dependencies.
  * bump standards version to 4.5.0:
    - switch to https where possible.
  * switch to compat level 13.
    - drop explicit --parallel or xz invocations.
  * allow R³=no.
  * fix lintian complaints:
    - I: b43-asm: hardening-no-bindnow usr/bin/b43-asm.bin
    - W: b43-asm source: custom-compression-in-debian-rules dh_builddeb -- -Zxz
         -z6
    - W: b43-asm source: custom-compression-in-debian-source-options
         compression-level = 6
    - W: b43-asm source: custom-compression-in-debian-source-options
         compression = "xz"
    - W: b43-asm source: debian-rules-uses-unnecessary-dh-argument dh ...
         --parallel
    - P: b43-asm source: insecure-copyright-format-uri
         http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 03 Aug 2020 09:00:38 +0200

b43-asm (0~20130228.1231-7) unstable; urgency=medium

  * rebuild against current sid.
  * update copyright information.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 05 Jan 2016 03:06:03 +0100

b43-asm (0~20130228.1231-6) unstable; urgency=medium

  * rebuild with gcc-5.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 31 Jul 2015 23:44:51 +0200

b43-asm (0~20130228.1231-5) unstable; urgency=medium

  * bump standards version to 3.9.6, no changes necessary.
  * update license shortname from GPL-2 to GPL-2.0, as recommended by the
    latest versions of DEP-5.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 03 Jan 2015 18:27:58 +0100

b43-asm (0~20130228.1231-4) unstable; urgency=medium

  * fix lintian override syntax (malformed-override Override of debian-watch-
    -file-is-missing).
  * rebuild with gcc-4.9.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 12 Jun 2014 02:49:26 +0200

b43-asm (0~20130228.1231-3) unstable; urgency=low

  * bump standards version to 3.9.5, no changes necessary.
  * debian/control: switch Vcs tags to github.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 13 Apr 2014 20:42:58 +0200

b43-asm (0~20130228.1231-2) unstable; urgency=low

  * rebuild with gcc-4.8.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 13 Jun 2013 19:11:01 +0200

b43-asm (0~20130228.1231-1) unstable; urgency=low

  * New upstream snapshot:
    - fix FTBS against bison 2.7.
  * switch to xz compressed tarballs and binaries.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 28 Feb 2013 20:25:46 +0100

b43-asm (0~20110912.1818-0+c0.aptosid.10) unstable; urgency=low

  * fix clean target, to support building multiple times in a row.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 22 Feb 2013 01:21:25 +0100

b43-asm (0~20110912.1818-0+c0.aptosid.9) unstable; urgency=low

  * switch to dh9.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 16 Jan 2013 23:51:35 +0100

b43-asm (0~20110912.1818-0+c0.aptosid.8) unstable; urgency=low

  * make lintian a little happier:
    - W: b43-asm: hardening-no-fortify-functions usr/bin/b43-asm.bin
    - W: b43-asm: hardening-no-fortify-functions usr/bin/b43-dasm
    - W: b43-asm: hardening-no-relro usr/bin/b43-asm.bin
    - W: b43-asm: hardening-no-relro usr/bin/b43-dasm

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 12 Jan 2013 01:13:08 +0100

b43-asm (0~20110912.1818-0+c0.aptosid.7) unstable; urgency=low

  * bump standards version to 3.9.4, no changes necessary.
  * update FSF postal address to be URLs.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 12 Jan 2013 00:50:26 +0100

b43-asm (0~20110912.1818-0+c0.aptosid.6) unstable; urgency=low

  * rebuild with gcc-4.7.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 08 May 2012 00:12:05 +0200

b43-asm (0~20110912.1818-0+c0.aptosid.5) unstable; urgency=low

  * update dep-5 version to final 1.0, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 27 Feb 2012 23:00:34 +0100

b43-asm (0~20110912.1818-0+c0.aptosid.4) unstable; urgency=low

  * bump standards version to 3.9.3, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 23 Feb 2012 15:44:28 +0100

b43-asm (0~20110912.1818-0+c0.aptosid.3) unstable; urgency=low

  * switch to compat level 9.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 16 Jan 2012 00:31:04 +0100

b43-asm (0~20110912.1818-0+c0.aptosid.2) unstable; urgency=low

  * update upstream eMail address in manpages.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 10 Nov 2011 20:01:06 +0100

b43-asm (0~20110912.1818-0+c0.aptosid.1) unstable; urgency=low

  * new upstream version.
  * bump standards version to 3.9.2, no changes necessary.
  * use Format instead of Format-Specification in debian/copyright and fix URL
    to use alioth's new anonscm location.
  * make lintian happier:
    - I: b43-asm: spelling-error-in-manpage b43-dasm.1 allows to allows one to
    - W: b43-asm: manpage-has-useless-whatis-entry brcm80211-fwconv.1
    - W: b43-asm: manpage-has-useless-whatis-entry brcm80211-ivaldump.1
    - W: b43-asm source: debian-rules-missing-recommended-target build-arch
    - W: b43-asm source: debian-rules-missing-recommended-target build-indep
  * override non-fixable lintian warnings:
    - b43-asm source: debian-watch-file-is-missing
    - b43-asm: no-upstream-changelog
    - b43-asm: no-homepage-field
  * add crude get-orig-source target.
  * update git URI to use git://git.bues.ch/b43-tools.git.
  * add initial help2man based manpages for brcm80211-{ivaldump,fwconv}.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 10 Nov 2011 19:38:46 +0100

=== debian/control ===
Source: b43-asm
Section: devel
Priority: optional
Maintainer: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 bison,
 dpkg-dev (>= 1.16.1~),
 flex,
 libfl-dev
Standards-Version: 4.5.0
Vcs-Git: https://github.com/fullstory/b43-asm.git
Vcs-Browser: https://github.com/fullstory/b43-asm

Package: b43-asm
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 gcc,
 python3
Description: assembler and disassembler for Broadcom BCM43xx firmware
 b43-asm is an (dis-)assembler for Broadcom AirForce BCM43xx wireless lan
 chipsets with a core revision >= 5.
 .
 It is capable of compiling and disassembling the opensource 'OpenFWWF'
 firmware used by Linux' b43 driver.

=== debian/rules ===
#!/usr/bin/make -f

# contrary to the documentation, compat level 10 doesn't enable  bindnow yet
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags
DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
export DEB_CFLAGS_MAINT_APPEND

PREFIX = $(CURDIR)/debian/b43-asm/usr
export PREFIX

override_dh_auto_build:
	dh_auto_build --sourcedirectory=assembler \
		      --buildsystem=makefile
	dh_auto_build --sourcedirectory=disassembler \
		      --buildsystem=makefile

override_dh_auto_clean:
	rm -rf	.pc \
		b43-tools \
		foobar.fw \
		selftest \
		test.fw
	dh_auto_clean --sourcedirectory=assembler \
		      --buildsystem=makefile
	dh_auto_clean --sourcedirectory=disassembler \
		      --buildsystem=makefile

override_dh_auto_install: selftest
	dh_auto_install --sourcedirectory=assembler \
			--buildsystem=makefile
	dh_auto_install --sourcedirectory=disassembler \
			--buildsystem=makefile

selftest:
	@echo
	@echo SELFTEST:
	PATH=$(CURDIR)/assembler:$(PATH) b43-asm assembler/test.asm test.fw --cpp-args -DDEBUG=1 -- --ivalext .fw --psize
	PATH=$(CURDIR)/assembler:$(CURDIR)/disassembler:$(PATH) $(CURDIR)/assembler/selftest.sh test.fw
	@echo

%:
	dh ${@}

get-orig-source:
	@rm -rf b43-tools
	git clone https://git.bues.ch/git/b43-tools.git/
	@test -d b43-tools
	GIT_DATE=$$(GIT_DIR=b43-tools/.git/ git log -1 --pretty=format:%cD assembler/ disassembler/); \
		UTC_DATE=$$(date --utc --date="$$GIT_DATE" +%Y%m%d.%H%M); \
		mkdir b43-tools/b43-asm-0~$$UTC_DATE; \
		test -d b43-tools/b43-asm-0~$$UTC_DATE; \
		cp -r	b43-tools/assembler \
			b43-tools/disassembler \
				b43-tools/b43-asm-0~$$UTC_DATE/; \
		XZ_OPT=-6 tar \
			-C b43-tools/ \
			--posix \
			--numeric-owner \
			--owner=0 \
			--group=0 \
			-cJf ../b43-asm_0~$$UTC_DATE.orig.tar.xz \
				b43-asm-0~$$UTC_DATE/
	@rm -rf b43-tools
